Main Page Modules Data Structures File List Data Fields Globals Related Pages

# WinPcap Globals

_ | a | b | c | d | e | f | g | h | i | j | l | m | n | o | p | q | r | s | t | u | v | w | x

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - _ -

- __progname : utils.c
- _U_ : savefile.c, Pcap-win32.c, pcap.c, inet.c, gencode.c, etherent.c, bpf_image.c, bpf_dump.c
- _WINSOCKAPI_ : win32-svc.c

### - a -

- a0 : gencode.c
- a1 : gencode.c
- activeHosts : pcap-new.c, pcap-remote.c
- activelist : rpcapd.c, fileconf.c
- ADAPTER : Packet32.h
- ADAPTER_DESC_LENGTH : Packet32.h
- ADAPTER_INFO : Packet32.h
- ADAPTER_NAME_LENGTH : Packet32.h
- AdapterList : TestPacketSend.c, TestPacketCapture.c
- AdapterListKey : Packet.c
- AdaptersInfoList : Packet32.c
- AdaptersInfoMutex : Packet32.c
- add_addr_to_iflist() : inet.c
- ADD_EAXi : jitter.h
- add_or_find_if() : inet.c
- ADDib : jitter.h
- ADDid : jitter.h
- ADDrd : jitter.h
- address : rpcapd.c
- AL : jitter.h
- alist : gencode.c
- alloc_reg() : gencode.c
- ANDib : jitter.h
- ANDid : jitter.h
- ANDrd : jitter.h
- AX : jitter.h

### - b -

- b1 : gencode.c
- backpatch() : gencode.c
- BADARG : utils.c
- BADCH : utils.c
- base_off : gencode.c
- bhp : Pcap-win32.c
- binary_stream : jitter.h
- bindP : Packet.c
- bindValueName : Packet.c
- BIOCGEVNAME : Packet.h
- BIOCGSTATS : Packet.h
- BIOCISDUMPENDED : Packet.h
- BIOCQUERYOID : Packet.h
- BIOCSENDPACKETSNOSYNC : Packet.h
- BIOCSENDPACKETSSYNC : Packet.h
- BIOCSETBUFFERSIZE : Packet.h
- BIOCSETDUMPFILENAME : Packet.h
- BIOCSETDUMPLIMITS : Packet.h
- BIOCSETF : Packet.h
- BIOCSETOID : Packet.h
- BIOCSMINTOCOPY : Packet.h
- BIOCSMODE : Packet.h
- BIOCSRTIMEOUT : Packet.h
- BIOCSWRITEREP : Packet.h
- BL : jitter.h
- BP : jitter.h
- BPF_Destroy_JIT_Filter() : jitter.h, jitter.c
- bpf_dump() : bpf_dump.c
- bpf_error() : gencode.c
- BPF_EXECUTE : Win32-Extensions.h
- BPF_filter_function : jitter.h
- BPF_GET_REGISTER_VALUE : Win32-Extensions.h
- bpf_image() : bpf_image.c
- BPF_INIT : Win32-Extensions.h
- bpf_int32 : incs/pcap.h
- BPF_jitter() : jitter.h, jitter.c
- BPF_LOOKUP : Win32-Extensions.h
- BPF_MEM_EX : Win32-Extensions.h
- BPF_MEM_EX_IMM : Win32-Extensions.h
- BPF_MEM_EX_IND : Win32-Extensions.h
- bpf_pcap : gencode.c
- BPF_RESET : Win32-Extensions.h
- BPF_SEPARATION : Win32-Extensions.h
- BPF_SET_ACTIVE : Win32-Extensions.h
- BPF_SET_ACTIVE_READ : Win32-Extensions.h
- BPF_SET_AUTODELETION : Win32-Extensions.h
- BPF_SET_MEMORY : Win32-Extensions.h
- BPF_SET_REGISTER_VALUE : Win32-Extensions.h
- BPF_SET_WORKING : Win32-Extensions.h
- BPF_TME : Win32-Extensions.h
- bpf_u_int32 : incs/pcap.h
- BPF_VALIDATE : Win32-Extensions.h
- BPFtoX86() : jitter.h, jitter.c
- BSWAP : jitter.h
- BX : jitter.h

### - c -

- case : wpcap_remote.htm
- charmap : pcap.c
- CHUNK0SIZE : gencode.c
- chunks : gencode.c
- CL : jitter.h
- CMPid : jitter.h
- CMPodd : jitter.h
- CMPrd : jitter.h
- connection : wpcap_remote.htm
- CpuPrivateData : Packet.h
- createDevice() : Packet.c, Packet.h
- cur_chunk : gencode.c
- curreg : gencode.c
- CX : jitter.h

### - d -

- Daemon() : wpcap_remote.htm
- daemon_AuthUserPwd() : daemon.c
- daemon_checkauth() : daemon.c
- daemon_endcapture() : daemon.c
- daemon_findalldevs() : daemon.c
- daemon_getstats() : daemon.c
- daemon_getstatsnopcap() : daemon.c
- daemon_opensource() : daemon.c
- daemon_seraddr() : daemon.c
- daemon_serviceloop() : daemon.c, daemon.h
- daemon_setsampling() : daemon.c
- daemon_startcapture() : daemon.c
- daemon_thrdatamain() : daemon.c
- daemon_unpackapplyfilter() : daemon.c
- daemon_updatefilter() : daemon.c
- DEVICE_EXTENSION : Packet.h
- devicePrefix : Packet.c
- DI : jitter.h
- dir : gencode.c
- DIVrd : jitter.h
- DL : jitter.h
- DllMain() : Packet32.c
- DLT_CHOICE : pcap.c
- DLT_CHOICE_SENTINEL : pcap.c
- dlt_choices : pcap.c
- dlt_to_linktype() : savefile.c
- DOSNAMEPREFIX : Packet32.h
- DriverEntry() : Packet.c, Packet.h
- dst_off : gencode.c
- dup_sockaddr() : inet.c
- DX : jitter.h

### - e -

- EAX : jitter.h
- EBP : jitter.h
- EBX : jitter.h
- ECX : jitter.h
- EDI : jitter.h
- EDX : jitter.h
- emit_code() : jitter.c
- emit_func : jitter.h
- emit_lenght() : jitter.c
- emitm : jitter.c
- EMSG : utils.c
- ENDING_CHAR : pcap-new.c
- errbuf : inet.c
- ESI : jitter.h
- ESP : jitter.h
- ETHERMTU : gencode.c
- EXIT_FAILURE : Packet.h
- EXIT_SUCCESS : Packet.h

### - f -

- FILE_DEVICE_PROTOCOL : Packet32.h
- fileconf_read() : fileconf.c, fileconf.h
- fileconf_save() : fileconf.c, fileconf.h
- free_reg() : gencode.c
- freechunks() : gencode.c

### - g -

- G_Start_Time : Read.c, Packet.c, Openclos.c
- GAAHandler : Packet32.c
- gen_ahostop() : gencode.c
- gen_bcmp() : gencode.c
- gen_broadcast() : gencode.c
- gen_cmp() : gencode.c
- gen_cmp_gt() : gencode.c
- gen_dnhostop() : gencode.c
- gen_ehostop() : gencode.c
- gen_ether_linktype() : gencode.c
- gen_false() : gencode.c
- gen_fhostop() : gencode.c
- gen_gateway() : gencode.c
- gen_host() : gencode.c
- gen_hostop() : gencode.c
- gen_ipfchostop() : gencode.c
- gen_ipfrag() : gencode.c
- gen_len() : gencode.c
- gen_linktype() : gencode.c
- gen_llc() : gencode.c
- gen_mac_multicast() : gencode.c
- gen_mcmp() : gencode.c
- gen_msg_abbrev() : gencode.c
- gen_ncmp() : gencode.c
- gen_port() : gencode.c
- gen_portatom() : gencode.c
- gen_portop() : gencode.c
- gen_proto() : gencode.c
- gen_protochain() : gencode.c
- gen_retblk() : gencode.c
- gen_snap() : gencode.c
- gen_thostop() : gencode.c
- gen_true() : gencode.c
- gen_uncond() : gencode.c
- gen_wlanhostop() : gencode.c
- get_instance() : inet.c
- GetAdaptersAddressesPointer : Packet32.c
- getAdaptersList() : Packet.c, Packet.h
- GetBuffOccupation() : Packet.h
- getopt() : utils.h, utils.c
- getTcpBindings() : Packet.c, Packet.h
- GlobalDeviceExtension : Packet.c

### - h -

- host : wpcap_remote.htm
- hostlist : rpcapd.c, fileconf.c

### - i -

- idx : gencode.c
- IMMEDIATE : Packet.h
- index : gencode.c
- inet_addrU() : Packet32.c
- INFO_FLAG_DAG_CARD : Packet32.h
- INFO_FLAG_DAG_FILE : Packet32.h
- INFO_FLAG_NDIS_ADAPTER : Packet32.h
- INFO_FLAG_NDISWAN_ADAPTER : Packet32.h
- init_linktype() : gencode.c
- int32 : pcap-remote.h
- INT_MAX : inet.c
- INTERNAL_REQUEST : Packet.h
- IOCTL_CLOSE : Packet32.h
- IOCTL_OPEN : Packet32.h
- IOCTL_PROTOCOL_MACNAME : Packet32.h
- IOCTL_PROTOCOL_READ : Packet32.h
- IOCTL_PROTOCOL_RESET : Packet32.h
- IOCTL_PROTOCOL_STATISTICS : Packet32.h
- IOCTL_PROTOCOL_WRITE : Packet32.h
- ip_proto : gencode.c
- IPPROTO_AH : gencode.c
- IPPROTO_ESP : gencode.c
- IPPROTO_IGMP : gencode.c
- IPPROTO_IGRP : gencode.c
- IPPROTO_NONE : gencode.c
- IPPROTO_PIM : gencode.c
- IPPROTO_SCTP : gencode.c
- IPPROTO_VRRP : gencode.c
- is_atm : gencode.c
- is_lane : gencode.c
- ISLOOPBACK : inet.c

### - j -

- JA : jitter.h
- JAE : jitter.h
- JE : jitter.h
- JG : jitter.h
- JGE : jitter.h
- JIT_BPF_Filter : jitter.h
- JLE : jitter.h
- JLEb : jitter.h
- JMP : gencode.c, jitter.h
- JNEb : jitter.h
- jtype : gencode.c
- jvalue : gencode.c

### - l -

- linktype : gencode.c
- LINKTYPE_AIRONET_HEADER : savefile.c
- LINKTYPE_APPLE_IP_OVER_IEEE1394 : savefile.c
- LINKTYPE_ARCNET : savefile.c
- LINKTYPE_ARCNET_LINUX : savefile.c
- LINKTYPE_ATM_CLIP : savefile.c
- LINKTYPE_ATM_RFC1483 : savefile.c
- LINKTYPE_AURORA : savefile.c
- LINKTYPE_AX25 : savefile.c
- LINKTYPE_C_HDLC : savefile.c
- LINKTYPE_CHAOS : savefile.c
- LINKTYPE_CISCO_IOS : savefile.c
- LINKTYPE_DOCSIS : savefile.c
- LINKTYPE_ECONET : savefile.c
- LINKTYPE_ENC : savefile.c
- LINKTYPE_ETHERNET : savefile.c
- LINKTYPE_EXP_ETHERNET : savefile.c
- LINKTYPE_FDDI : savefile.c
- LINKTYPE_FRELAY : savefile.c
- LINKTYPE_HDLC : savefile.c
- LINKTYPE_HHDLC : savefile.c
- LINKTYPE_HIPPI : savefile.c
- LINKTYPE_IBM_SN : savefile.c
- LINKTYPE_IBM_SP : savefile.c
- LINKTYPE_IEEE802_11 : savefile.c
- LINKTYPE_IEEE802_11_RADIO : savefile.c
- LINKTYPE_IP_OVER_FC : savefile.c
- LINKTYPE_IPFILTER : savefile.c
- LINKTYPE_JUNIPER_ATM1 : savefile.c
- LINKTYPE_JUNIPER_ATM2 : savefile.c
- LINKTYPE_JUNIPER_ES : savefile.c
- LINKTYPE_JUNIPER_GGSN : savefile.c
- LINKTYPE_JUNIPER_MFR : savefile.c
- LINKTYPE_JUNIPER_MLFR : savefile.c
- LINKTYPE_JUNIPER_MLPPP : savefile.c
- LINKTYPE_JUNIPER_SERVICES : savefile.c
- LINKTYPE_LANE8023 : savefile.c
- LINKTYPE_LINUX_IRDA : savefile.c
- LINKTYPE_LINUX_SLL : savefile.c
- LINKTYPE_LOOP : savefile.c
- LINKTYPE_LTALK : savefile.c
- LINKTYPE_NULL : savefile.c
- LINKTYPE_PCI_EXP : savefile.c
- LINKTYPE_PFLOG : savefile.c
- LINKTYPE_PPP : savefile.c
- LINKTYPE_PPP_BSDOS : savefile.c
- LINKTYPE_PPP_ETHER : savefile.c
- LINKTYPE_PPP_HDLC : savefile.c
- LINKTYPE_PRISM_HEADER : savefile.c
- LINKTYPE_PRONET : savefile.c
- LINKTYPE_RAW : savefile.c
- LINKTYPE_RAWSS7 : savefile.c
- LINKTYPE_RAWSS7_MTP2 : savefile.c
- LINKTYPE_RAWSS7_MTP3 : savefile.c
- LINKTYPE_RAWSS7_SCCP : savefile.c
- LINKTYPE_RIO : savefile.c
- LINKTYPE_SLIP : savefile.c
- LINKTYPE_SLIP_BSDOS : savefile.c
- LINKTYPE_SUNATM : savefile.c
- linktype_to_dlt() : savefile.c
- LINKTYPE_TOKEN_RING : savefile.c
- LINKTYPE_TZSP : savefile.c
- loadfile : rpcapd.c, fileconf.c
- lookup_proto() : gencode.c
- LPADAPTER : Packet32.h
- LPPACKET : Packet32.h

### - m -

- main() : rpcapd.c, TestPacketSend.c, TestPacketCapture.c, basic_dump.c, pcap_filter.c
- main_active() : rpcapd.c
- main_cleanup() : rpcapd.c, rpcapd.h
- main_passive() : rpcapd.c
- main_startup() : rpcapd.c, rpcapd.h
- mainhints : rpcapd.c
- map : savefile.c
- mask : gencode.c
- masklen : gencode.c
- maskp : inet.c
- MAX_ACTIVE_LIST : rpcapd.h
- MAX_HOST_LIST : rpcapd.h
- MAX_LINE : rpcapd.h, pcap_filter.c
- MAX_LINK_NAME_LENGTH : Packet32.h
- MAX_MAC_ADDR_LENGTH : Packet32.h
- MAX_NETWORK_ADDRESSES : Packet32.h
- Max_Num_Adapter : TestPacketSend.c, TestPacketCapture.c
- MAX_PRINT : pcap_filter.c
- MAX_REQUESTS : Packet.h
- MediumArray : Openclos.c
- merge() : gencode.c
- MODE_CAPT : incs/pcap.h, Packet.h
- MODE_DUMP : Packet.h
- MODE_MON : Packet.h
- MODE_STAT : incs/pcap.h, Packet.h
- MOVid : jitter.h
- MOVobb : jitter.h
- MOVobd : jitter.h
- MOVobw : jitter.h
- MOVodd : jitter.h
- MOVomd : jitter.h
- MOVrd : jitter.h
- MULrd : jitter.h

### - n -

- n : gencode.c, bpf_image.c
- n_Opened_Instances : Openclos.c
- NamedEventsCounter : Openclos.c
- nargv : utils.c
- NCHUNKS : gencode.c
- NCpu : Read.c, Packet.c
- NdisMediumCHDLC : Packet32.h
- NdisMediumNull : Packet32.h
- NdisMediumPPPSerial : Packet32.h
- NEGd : jitter.h
- netp : inet.c
- NetType : Packet32.h
- new_block() : gencode.c
- new_stmt() : gencode.c
- newchunk() : gencode.c
- NMAX_PACKET : Packet32.h
- no_optimize : gencode.c
- NPF_BindAdapter() : Openclos.c, Packet.h
- NPF_BufferedWrite() : Write.c, Packet.h
- NPF_Close() : Openclos.c, Packet.h
- NPF_CloseAdapterComplete() : Openclos.c, Packet.h
- NPF_CloseDumpFile() : dump.c, Packet.h
- NPF_DumpThread() : dump.c, Packet.h
- npf_if_addr : Packet32.h
- NPF_IoControl() : Packet.c, Packet.h
- NPF_Open() : Openclos.c, Packet.h
- NPF_OpenAdapterComplete() : Openclos.c, Packet.h
- NPF_OpenDumpFile() : dump.c, Packet.h
- NPF_Prefix : Packet.c
- NPF_QueryRegistryRoutine() : Packet.c, Packet.h
- NPF_Read() : Read.c, Packet.h
- NPF_ReadRegistry() : Packet.c, Packet.h
- NPF_ReceiveComplete() : Read.c, Packet.h
- NPF_RequestComplete() : Packet.c, Packet.h
- NPF_ResetComplete() : Openclos.c, Packet.h
- NPF_SaveCurrentBuffer() : dump.c, Packet.h
- NPF_SendComplete() : Write.c, Packet.h
- NPF_StartDump() : dump.c, Packet.h
- NPF_Status() : Packet.c, Packet.h
- NPF_StatusComplete() : Packet.c, Packet.h
- NPF_tap() : Read.c, Packet.h
- NPF_TransferDataComplete() : Read.c, Packet.h
- NPF_UnbindAdapter() : Openclos.c, Packet.h
- NPF_Unload() : Packet.c, Packet.h
- NPF_WaitEndOfBufferedWrite() : Write.c, Packet.h
- NPF_Write() : Write.c, Packet.h
- NPF_WriteDumpFile() : dump.c, Packet.h
- NPFDriverPath : Packet32.c
- NPFRegistryLocation : Packet32.c
- NPFServiceDesc : Packet32.c
- NPFServiceName : Packet32.c
- NTKERNEL : Packet.h
- nullAuthAllowed : rpcapd.c, fileconf.c
- NUM_NDIS_MEDIA : Openclos.c

### - o -

- ODS : Packet32.h
- ODSEx : Packet32.h
- off_linktype : gencode.c
- off_nl : gencode.c
- off_nl_nosnap : gencode.c
- off_payload : gencode.c
- off_proto : gencode.c
- off_vci : gencode.c
- off_vpi : gencode.c
- offset : gencode.c
- OPEN_INSTANCE : Packet.h
- Opened_Instances_Lock : Packet.c, Openclos.c
- optarg : rpcapd.c, utils.c
- opterr : utils.c
- optind : utils.c
- optopt : utils.c
- optreset : utils.c
- ORid : jitter.h
- orig_linktype : gencode.c
- orig_nl : gencode.c
- orig_nl_nosnap : gencode.c
- ORrd : jitter.h
- ostr : utils.c

### - p -

- PACKET : Packet32.h
- Packet_ALIGNMENT : Packet.h, Packet32.h
- packet_handler() : basic_dump.c
- PACKET_MODE_CAPT : Packet32.h
- PACKET_MODE_DUMP : Packet32.h
- PACKET_MODE_MON : Packet32.h
- PACKET_MODE_STAT : Packet32.h
- PACKET_MODE_STAT_DUMP : Packet32.h
- PACKET_RESERVED : Packet.h
- Packet_WORDALIGN : Packet.h, Packet32.h
- PacketAddAdapterDag() : Packet32.c
- PacketAllocatePacket() : Packet32.c, Packet32.h
- PacketCloseAdapter() : Packet32.c, Packet32.h
- PacketDriverVersion : Packet32.c
- PacketDumpCompletion() : dump.c
- PacketDumpRegistryKey() : Packet32.c, Packet32.h
- PacketFindAdInfo() : Packet32.h
- PacketFreePacket() : Packet32.c, Packet32.h
- PacketGetAdapterNames() : Packet32.c, Packet32.h
- PacketGetDriverVersion() : Packet32.c, Packet32.h
- PacketGetFileVersion() : Packet32.c, Packet32.h
- PacketGetNetInfoEx() : Packet32.c, Packet32.h
- PacketGetNetType() : Packet32.c, Packet32.h
- PacketGetReadEvent() : Packet32.c, Packet32.h
- PacketGetStats() : Packet32.c, Packet32.h
- PacketGetStatsEx() : Packet32.c, Packet32.h
- PacketGetVersion() : Packet32.c, Packet32.h
- PacketInitPacket() : Packet32.c, Packet32.h
- PacketInstallDriver() : Packet32.c
- PacketIsDumpEnded() : Packet32.c, Packet32.h
- PacketItoa() : Openclos.c
- PacketLibraryVersion : Packet32.c
- PacketOpenAdapter() : Packet32.c, Packet32.h
- PacketOpenAdapterNPF() : Packet32.c
- PacketPopulateAdaptersInfoList() : Packet32.h
- PacketReceivePacket() : Packet32.c, Packet32.h
- PacketRequest() : Packet32.c, Packet32.h
- PacketSendPacket() : Packet32.c, Packet32.h
- PacketSendPackets() : Packet32.c, Packet32.h
- PacketSetBpf() : Packet32.c, Packet32.h
- PacketSetBuff() : Packet32.c, Packet32.h
- PacketSetDumpLimits() : Packet32.c, Packet32.h
- PacketSetDumpName() : Packet32.c, Packet32.h
- PacketSetHwFilter() : Packet32.c, Packet32.h
- PacketSetMaxLookaheadsize() : Packet32.c
- PacketSetMinToCopy() : Packet32.c, Packet32.h
- PacketSetMode() : Packet32.c, Packet32.h
- PacketSetNumWrites() : Packet32.c, Packet32.h
- PacketSetReadEvt() : Packet32.c
- PacketSetReadTimeout() : Packet32.c, Packet32.h
- PacketSetSnapLen() : Packet32.c, Packet32.h
- PacketStopDriver() : Packet32.c, Packet32.h
- PacketUpdateAdInfo() : Packet32.h
- PADAPTER_INFO : Packet32.h
- passivemode : rpcapd.c
- PATCHED_TCPDUMP_MAGIC : savefile.c
- pATTACHPROCESS : Packet32.h
- pBIOCEVNAME : Packet32.h
- pBIOCGSTATS : Packet32.h
- pBIOCISDUMPENDED : Packet32.h
- pBIOCQUERYOID : Packet32.h
- pBIOCSENDPACKETSNOSYNC : Packet32.h
- pBIOCSENDPACKETSSYNC : Packet32.h
- pBIOCSETBUFFERSIZE : Packet32.h
- pBIOCSETDUMPFILENAME : Packet32.h
- pBIOCSETDUMPLIMITS : Packet32.h
- pBIOCSETF : Packet32.h
- pBIOCSETOID : Packet32.h
- pBIOCSMINTOCOPY : Packet32.h
- pBIOCSMODE : Packet32.h
- pBIOCSRTIMEOUT : Packet32.h
- pBIOCSTIMEZONE : Packet32.h
- pBIOCSWRITEREP : Packet32.h
- pcap_add_if() : inet.c
- pcap_addr_t : incs/pcap.h
- pcap_breakloop() : pcap.c
- PCAP_BUF_SIZE : remote-ext.h
- pcap_close() : pcap.c, funcs/pcap.h
- pcap_close_dead() : pcap.c
- pcap_close_remote() : pcap-remote.c, pcap-remote.h
- pcap_close_win32() : Pcap-win32.c
- pcap_compile() : gencode.c, funcs/pcap.h
- pcap_compile_nopcap() : gencode.c, funcs/pcap.h
- pcap_createfilter_norpcappkt() : pcap-remote.c
- pcap_createsrcstr() : pcap-new.c, remote-ext.h
- pcap_datalink() : pcap.c, funcs/pcap.h
- pcap_datalink_name_to_val() : pcap.c
- pcap_datalink_val_to_description() : pcap.c
- pcap_datalink_val_to_name() : pcap.c
- pcap_dispatch() : pcap.c, funcs/pcap.h
- pcap_dump() : savefile.c, funcs/pcap.h
- pcap_dump_close() : savefile.c, funcs/pcap.h
- pcap_dump_file() : savefile.c
- pcap_dump_flush() : savefile.c
- pcap_dump_open() : savefile.c, funcs/pcap.h
- pcap_dumper_t : incs/pcap.h
- PCAP_ERR_AUTH : pcap-remote.h
- PCAP_ERR_ENDCAPTURE : pcap-remote.h
- PCAP_ERR_FINDALLIF : pcap-remote.h
- PCAP_ERR_GETSTATS : pcap-remote.h
- PCAP_ERR_HOSTNOAUTH : pcap-remote.h
- PCAP_ERR_INITTIMEOUT : pcap-remote.h
- PCAP_ERR_NETW : pcap-remote.h
- PCAP_ERR_NOREMOTEIF : pcap-remote.h
- PCAP_ERR_OPEN : pcap-remote.h
- PCAP_ERR_READEX : pcap-remote.h
- PCAP_ERR_REMOTEACCEPT : pcap-remote.h
- PCAP_ERR_RUNTIMETIMEOUT : pcap-remote.h
- PCAP_ERR_SETSAMPLING : pcap-remote.h
- PCAP_ERR_STARTCAPTURE : pcap-remote.h
- PCAP_ERR_UPDATEFILTER : pcap-remote.h
- PCAP_ERR_WRONGMSG : pcap-remote.h
- PCAP_ERR_WRONGVER : pcap-remote.h
- PCAP_ERRBUF_SIZE : incs/pcap.h
- pcap_fakecallback() : pcap.c
- pcap_fddipad : gencode.c
- pcap_file() : pcap.c, funcs/pcap.h
- pcap_fileno() : pcap.c, funcs/pcap.h
- pcap_findalldevs() : funcs/pcap.h
- pcap_findalldevs_ex() : pcap-new.c, remote-ext.h
- pcap_freealldevs() : inet.c, funcs/pcap.h
- pcap_freecode() : gencode.c, funcs/pcap.h
- pcap_geterr() : pcap.c, funcs/pcap.h
- pcap_getevent() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_getnonblock() : pcap.c, funcs/pcap.h
- pcap_getnonblock_win32() : Pcap-win32.c
- pcap_handler : funcs/pcap.h
- PCAP_IF_LOOPBACK : incs/pcap.h
- pcap_if_t : incs/pcap.h
- pcap_is_swapped() : pcap.c, funcs/pcap.h
- pcap_lib_version() : pcap.c
- pcap_list_datalinks() : pcap.c
- pcap_live_dump() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_live_dump_ended() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_lookupdev() : inet.c, funcs/pcap.h
- pcap_lookupnet() : funcs/pcap.h
- pcap_loop() : pcap.c, funcs/pcap.h
- pcap_major_version() : pcap.c, funcs/pcap.h
- pcap_minor_version() : pcap.c, funcs/pcap.h
- pcap_next() : pcap.c, funcs/pcap.h
- pcap_next_ex() : pcap.c, funcs/pcap.h
- pcap_offline_filter() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_offline_read() : savefile.c
- pcap_oneshot() : pcap.c
- pcap_open() : pcap-new.c, remote-ext.h
- pcap_open_dead() : pcap.c, funcs/pcap.h
- pcap_open_live() : Pcap-win32.c, funcs/pcap.h
- pcap_open_offline() : savefile.c, funcs/pcap.h
- PCAP_OPENFLAG_DATATX_UDP : remote-ext.h
- PCAP_OPENFLAG_NOCAPTURE_RPCAP : remote-ext.h
- PCAP_OPENFLAG_PROMISCUOUS : remote-ext.h
- pcap_opensource_remote() : pcap-remote.c, pcap-remote.h
- pcap_pack_bpffilter() : pcap-remote.c
- pcap_parsesrcstr() : pcap-new.c, remote-ext.h
- pcap_perror() : pcap.c, funcs/pcap.h
- pcap_read() : pcap.c
- pcap_read_nocb_remote() : pcap-remote.c, pcap-remote.h
- pcap_read_remote() : pcap-remote.c, pcap-remote.h
- pcap_read_win32_npf() : Pcap-win32.c
- pcap_remoteact_accept() : pcap-new.c, remote-ext.h
- pcap_remoteact_cleanup() : pcap-new.c, remote-ext.h
- pcap_remoteact_close() : pcap-new.c, remote-ext.h
- pcap_remoteact_list() : pcap-new.c, remote-ext.h
- PCAP_SAMP_1_EVERY_N : remote-ext.h
- PCAP_SAMP_FIRST_AFTER_N_MS : remote-ext.h
- PCAP_SAMP_NOSAMP : remote-ext.h
- pcap_send_queue : Win32-Extensions.h
- pcap_sendpacket() : Pcap-win32.c, funcs/pcap.h
- pcap_sendqueue_alloc() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_sendqueue_destroy() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_sendqueue_queue() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_sendqueue_transmit() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- pcap_set_datalink() : pcap.c
- pcap_setbuff() : Pcap-win32.c, funcs/pcap.h
- pcap_setfilter() : pcap.c, funcs/pcap.h
- pcap_setfilter_remote() : pcap-remote.c, pcap-remote.h
- pcap_setfilter_win32_dag() : Pcap-win32.c
- pcap_setfilter_win32_npf() : Pcap-win32.c
- pcap_setmintocopy() : Pcap-win32.c, funcs/pcap.h
- pcap_setmode() : Pcap-win32.c, funcs/pcap.h
- pcap_setnonblock() : pcap.c, funcs/pcap.h
- pcap_setnonblock_win32() : Pcap-win32.c
- pcap_setsampling() : pcap-new.c, remote-ext.h
- pcap_setsampling_remote() : pcap-remote.c, pcap-remote.h
- pcap_setuserbuffer() : Win32-Extensions.h, Win32-Extensions.c
- pcap_snapshot() : pcap.c, funcs/pcap.h
- PCAP_SRC_FILE : remote-ext.h
- PCAP_SRC_FILE_STRING : remote-ext.h
- PCAP_SRC_IF_STRING : remote-ext.h
- PCAP_SRC_IFLOCAL : remote-ext.h
- PCAP_SRC_IFREMOTE : remote-ext.h
- pcap_startcapture_remote() : pcap-remote.c, pcap-remote.h
- pcap_stats() : pcap.c, funcs/pcap.h
- pcap_stats_dead() : pcap.c
- pcap_stats_ex() : Win32-Extensions.h, Win32-Extensions.c, funcs/pcap.h
- PCAP_STATS_EX : pcap-remote.c
- pcap_stats_ex_remote() : pcap-remote.c, pcap-remote.h
- pcap_stats_remote() : pcap-remote.c, pcap-remote.h
- PCAP_STATS_STANDARD : pcap-remote.c
- pcap_stats_win32() : Pcap-win32.c
- pcap_strcasecmp() : pcap.c
- pcap_strerror() : pcap.c, funcs/pcap.h
- pcap_t : incs/pcap.h
- PCAP_TEXT_SOURCE_ADAPTER : pcap-new.c
- PCAP_TEXT_SOURCE_FILE : pcap-new.c
- PCAP_TEXT_SOURCE_ON_LOCAL_HOST : pcap-new.c
- PCAP_TEXT_SOURCE_ON_REMOTE_HOST : pcap-new.c
- pcap_updatefilter_remote() : pcap-remote.c, pcap-remote.h
- PCAP_VERSION_MAJOR : incs/pcap.h, Packet.h
- PCAP_VERSION_MINOR : incs/pcap.h, Packet.h
- pcap_version_string : pcap.c
- pcap_version_string_fmt : pcap.c
- pcap_version_string_packet_dll_fmt : pcap.c
- pcap_win32strerror() : pcap.c
- PcapBufSize : Pcap-win32.c
- pDETACHPROCESS : Packet32.h
- PDEVICE_EXTENSION : Packet.h
- PINTERNAL_REQUEST : Packet.h
- POP : jitter.h
- POPEN_INSTANCE : Packet.h
- port : rpcapd.c
- PPACKET_OID_DATA : Packet32.h
- PPACKET_RESERVED : Packet.h
- PrintPackets() : TestPacketSend.c, TestPacketCapture.c
- printusage() : rpcapd.c
- PROGRAM_NAME : rpcapd.h
- proto : gencode.c
- pthread_suspend() : daemon.c, daemon.h
- ptype : gencode.c
- PUSH : jitter.h
- PWAN_ADAPTER : Packet32.h

### - q -

- q : gencode.c

### - r -

- RESERVED : Packet.h
- RET : jitter.h
- reverse : gencode.c
- reversed : gencode.c
- root : gencode.c
- RPCAP_ACTIVE_WAIT : pcap-remote.h
- rpcap_checkmsg() : pcap-remote.c, pcap-remote.h
- rpcap_checkver() : pcap-remote.c
- rpcap_createhdr() : pcap-remote.c, pcap-remote.h
- RPCAP_DEFAULT_NETADDR : pcap-remote.h
- RPCAP_DEFAULT_NETPORT : pcap-remote.h
- RPCAP_DEFAULT_NETPORT_ACTIVE : pcap-remote.h
- rpcap_deseraddr() : pcap-remote.c, pcap-remote.h
- RPCAP_HOSTLIST_SEP : pcap-remote.h
- RPCAP_HOSTLIST_SIZE : remote-ext.h
- RPCAP_MSG_AUTH_REPLY : pcap-remote.h
- RPCAP_MSG_AUTH_REQ : pcap-remote.h
- RPCAP_MSG_CLOSE : pcap-remote.h
- RPCAP_MSG_ENDCAP_REPLY : pcap-remote.h
- RPCAP_MSG_ENDCAP_REQ : pcap-remote.h
- RPCAP_MSG_ERROR : pcap-remote.h
- RPCAP_MSG_FINDALLIF_REPLY : pcap-remote.h
- RPCAP_MSG_FINDALLIF_REQ : pcap-remote.h
- RPCAP_MSG_OPEN_REPLY : pcap-remote.h
- RPCAP_MSG_OPEN_REQ : pcap-remote.h
- RPCAP_MSG_PACKET : pcap-remote.h
- RPCAP_MSG_SETSAMPLING_REPLY : pcap-remote.h
- RPCAP_MSG_SETSAMPLING_REQ : pcap-remote.h
- RPCAP_MSG_STARTCAP_REPLY : pcap-remote.h
- RPCAP_MSG_STARTCAP_REQ : pcap-remote.h
- RPCAP_MSG_STATS_REPLY : pcap-remote.h
- RPCAP_MSG_STATS_REQ : pcap-remote.h
- RPCAP_MSG_UPDATEFILTER_REPLY : pcap-remote.h
- RPCAP_MSG_UPDATEFILTER_REQ : pcap-remote.h
- RPCAP_NETBUF_SIZE : pcap-remote.h
- rpcap_remoteact_getsock() : pcap-remote.c, pcap-remote.h
- RPCAP_RMTAUTH_NULL : remote-ext.h
- RPCAP_RMTAUTH_PWD : remote-ext.h
- rpcap_sendauth() : pcap-remote.c, pcap-remote.h
- rpcap_senderror() : pcap-remote.c, pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_DGRAM : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_INBOUND : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_OUTBOUND : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_PROMISC : pcap-remote.h
- RPCAP_STARTCAPREQ_FLAG_SERVEROPEN : pcap-remote.h
- rpcap_stats_remote() : pcap-remote.c
- RPCAP_SUSPEND_WRONGAUTH : pcap-remote.h
- RPCAP_TIMEOUT_INIT : pcap-remote.h
- RPCAP_TIMEOUT_RUNTIME : pcap-remote.h
- RPCAP_UPDATEFILTER_BPF : pcap-remote.h
- RPCAP_VERSION : pcap-remote.h

### - s -

- s1 : gencode.c
- s2 : gencode.c
- SChar2WChar() : Packet32.c, Packet32.h
- scmHandle : Packet32.c
- service_status : win32-svc.c
- service_status_handle : win32-svc.c
- sf_close() : savefile.c
- sf_getnonblock() : savefile.c
- sf_next_packet() : savefile.c
- sf_setnonblock() : savefile.c
- sf_stats() : savefile.c
- sf_write_header() : savefile.c
- SFERR_BADF : savefile.c
- SFERR_BADVERSION : savefile.c
- SFERR_EOF : savefile.c
- SFERR_TRUNC : savefile.c
- SHL_CLrb : jitter.h
- SHLib : jitter.h
- SHR_CLrb : jitter.h
- SHRib : jitter.h
- SHUT_WR : sockutils.c
- SI : jitter.h
- size : gencode.c
- SIZE_BUF : Pcap-win32.c
- skip_line() : etherent.c
- skip_space() : etherent.c
- snaplen : gencode.c
- snprintf : sockutils.c
- SOCK_ASSERT : sockutils.h
- sock_bufferize() : sockutils.c, sockutils.h
- sock_check_hostlist() : sockutils.c, sockutils.h
- sock_cleanup() : sockutils.c, sockutils.h
- sock_close() : sockutils.c, sockutils.h
- sock_cmpaddr() : sockutils.c, sockutils.h
- sock_discard() : sockutils.c, sockutils.h
- SOCK_ERRBUF_SIZE : sockutils.c
- sock_getascii_addrport() : sockutils.c, sockutils.h
- sock_geterror() : sockutils.c, sockutils.h
- sock_getmyinfo() : sockutils.c, sockutils.h
- sock_init() : sockutils.c, sockutils.h
- sock_initaddress() : sockutils.c, sockutils.h
- sock_ismcastaddr() : sockutils.c
- sock_open() : sockutils.c, sockutils.h
- sock_present2network() : sockutils.c, sockutils.h
- SOCK_RECEIVEALL_NO : sockutils.h
- SOCK_RECEIVEALL_YES : sockutils.h
- sock_recv() : sockutils.c, sockutils.h
- sock_send() : sockutils.c, sockutils.h
- SOCKBUF_BUFFERIZE : sockutils.h
- SOCKBUF_CHECKONLY : sockutils.h
- sockcount : sockutils.c
- SOCKET : sockutils.h
- SOCKET_MAXCONN : rpcapd.h
- SOCKET_NAME_NULL_DAD : sockutils.c
- SOCKET_NO_NAME_AVAILABLE : sockutils.c
- SOCKET_NO_PORT_AVAILABLE : sockutils.c
- sockmain : rpcapd.c, pcap-new.c
- SOCKOPEN_CLIENT : sockutils.h
- SOCKOPEN_SERVER : sockutils.h
- SP : jitter.h
- src_off : gencode.c
- srvHandle : Packet32.c
- strrem() : fileconf.c
- SUB_EAXi : jitter.h
- SUBrd : jitter.h
- svc_control_handler() : win32-svc.c
- svc_geterr() : win32-svc.c
- svc_main() : win32-svc.c
- svc_start() : win32-svc.c, win32-svc.h
- SWAP_AX : jitter.h
- swap_hdr() : savefile.c
- SWAPLONG : savefile.c, gencode.c
- SWAPS : Pcap-win32.c
- SWAPSHORT : savefile.c
- symbolicLinkPrefix : Packet.c
- syntax() : gencode.c
- szWindowTitle : Packet32.c

### - t -

- target : gencode.c
- TCPDUMP_MAGIC : savefile.c, Packet.h
- tcpLinkageKeyName : Packet.c
- TEMP_BUF_SIZE : sockutils.c
- then : wpcap_remote.htm
- TimestampMode : Packet.c
- top_ctx : gencode.c
- TRANSMIT_PACKETS : Packet.h

### - u -

- uint16 : pcap-remote.h
- uint32 : pcap-remote.h
- uint8 : pcap-remote.h
- UNICODE : Packet32.c
- usage() : pcap_filter.c

### - v -

- v : gencode.c
- val : gencode.c
- versa : wpcap_remote.htm

### - w -

- WAN_ADAPTER : Packet32.h
- WChar2SChar() : Packet32.c, Packet32.h
- WINSOCK_MAJOR_VERSION : sockutils.c
- WINSOCK_MINOR_VERSION : sockutils.c
- wpcap_version_string : pcap.c
- wsockinit() : Pcap-win32.c

### - x -

- xdtoi() : etherent.c
- xfer_to_a() : gencode.c
- xfer_to_x() : gencode.c

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.